All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.olap
Class BaseFilterExpression

    com.sas.iquery.metadata.expr.olap.BaseFilterExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

Direct Known Subclasses:
  DataBasedFilterExpression, MemberFilterExpression, TimeFilterExpression, TimeRangeFilterExpression

    @SASScope(value="ALL")
    @SubjectToChange
    public abstract class BaseFilterExpression

implements BusinessModelResourceReferencer

Handles rudimentary modeling that is equivalent to the MemberFilter Step. This is of the format `{WhatToFilter} in ({Member Name 1}..{Member Name n})`.

See Also:
  `DataItemMemberFilter`

Field Summary
`static java.lang.String` | `EVENT_WHAT_TO_COMPARE_CHANGED` Indication that what is being compared has changed.

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Constructor Summary
`BaseFilterExpression()`

Method Summary
`java.lang.String` | `getDisplayedText(com.sas.storage.olap.MetadataInterface metadata, boolean applyPromptValues, java.util.Locale locale)` Return the displayed readable text for this filter.
`java.util.List<com.sas.iquery.metadata.business.QualifiedLevel>` | `getLevels(com.sas.storage.olap.MetadataInterface metadata)` Get the levels defined for this step filter.
`ExpressionInterface` | `getWhatToCompare()` Returns expression of what is being compared.
`void` | `setWhatToCompare(ExpressionInterface expr)` Sets the value of what is being compared.

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType, isNegated, setIsNegated`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

*** This field is subject to change. ***

### EVENT_WHAT_TO_COMPARE_CHANGED

    @SubjectToChange
    public static final java.lang.String EVENT_WHAT_TO_COMPARE_CHANGED

  Indication that what is being compared has changed.

  See Also:
    Constant Field Values

Constructor Detail

### BaseFilterExpression

    public BaseFilterExpression()

Method Detail

### setWhatToCompare

    public void setWhatToCompare(ExpressionInterface expr)

  Sets the value of what is being compared.

  Parameters:
    `expr` - is the value in question and must not be a CompoundConditionalExpression

### getWhatToCompare

    public ExpressionInterface getWhatToCompare()

  Returns expression of what is being compared.

  Returns:
    expression is the value in question.

### getLevels

    public java.util.List<com.sas.iquery.metadata.business.QualifiedLevel> getLevels(com.sas.storage.olap.MetadataInterface metadata)

  Get the levels defined for this step filter. Not yet implemented.

  Parameters:
    `metadata` -
    `dataItem` -
  Returns:

### getDisplayedText

    public java.lang.String getDisplayedText(com.sas.storage.olap.MetadataInterface metadata,
                                             boolean applyPromptValues,
                                             java.util.Locale locale)

  Return the displayed readable text for this filter.

  Example 1: The label of the "[PRODUCT].[CATEGORY].[CHILDREN]" is "Product Equal to Children".

  Example 2: The label for the top 5 items on the column axis is "Columns, Top 2 Count (excluding ties)"

  Parameters:
    `metadata` -
    `dataItem` -
    `apply` - either prompt value or prompt labels.
  Returns:

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.